Package org.zkoss.clientbind

## Class ParamCallEx

- java.lang.Object
- - org.zkoss.bind.impl.ParamCall
  - - org.zkoss.clientbind.ParamCallEx

-     public class ParamCallEx
      extends ParamCall

  A way to track the `ParamCall`'s parameters, which are marked from client to enable tracking, whether are changed or not after invoked. If so, those changes are sent back to client to update them.
  Since:
    10.0.0
  Author:
    jumperchen

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.zkoss.bind.impl.ParamCall

      `ParamCall.ParamResolver<T>`

  - ### Field Summary

    - ### Fields inherited from class org.zkoss.bind.impl.ParamCall

      `_bindingArgs, _paramResolvers, BINDING_PARAM_CALL_TYPE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `call​(java.lang.Object base, java.lang.reflect.Method method)` |
    `void` | `doCheckTrackingMap​(ClientBindComposer composer)` |
    `protected java.lang.String` | `getAnnotatedParameterName​(java.lang.Class<? extends java.lang.annotation.Annotation> annoClass, java.lang.String annoValue, java.util.function.Supplier<java.lang.String> parameterName)` |
    `protected java.lang.Object` | `resolveParameter​(java.lang.annotation.Annotation[] parmAnnos, java.lang.Class<?> paramType, java.lang.reflect.Method method, int index)` |
    `protected java.lang.Object` | `resolveParameter0​(java.lang.Object val, java.lang.Class<?> returnType)` |
    `void` | `setBindingArgs​(java.util.Map<java.lang.String,​java.lang.Object> bindingArgs)` |

    - ### Methods inherited from class org.zkoss.bind.impl.ParamCall

      `getBindContext, getBinder, setBindContext, setBinder, setComponent, setExecution`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### call

          public void call​(java.lang.Object base,
                           java.lang.reflect.Method method)

      Overrides:
        `call` in class `ParamCall`

    - #### setBindingArgs

          public void setBindingArgs​(java.util.Map<java.lang.String,​java.lang.Object> bindingArgs)

      Overrides:
        `setBindingArgs` in class `ParamCall`

    - #### getAnnotatedParameterName

          protected java.lang.String getAnnotatedParameterName​(java.lang.Class<? extends java.lang.annotation.Annotation> annoClass,
                                                               java.lang.String annoValue,
                                                               java.util.function.Supplier<java.lang.String> parameterName)

      Overrides:
        `getAnnotatedParameterName` in class `ParamCall`

    - #### resolveParameter0

          protected java.lang.Object resolveParameter0​(java.lang.Object val,
                                                       java.lang.Class<?> returnType)

      Overrides:
        `resolveParameter0` in class `ParamCall`

    - #### resolveParameter

          protected java.lang.Object resolveParameter​(java.lang.annotation.Annotation[] parmAnnos,
                                                      java.lang.Class<?> paramType,
                                                      java.lang.reflect.Method method,
                                                      int index)

      Overrides:
        `resolveParameter` in class `ParamCall`

    - #### doCheckTrackingMap

          public void doCheckTrackingMap​(ClientBindComposer composer)